Subject: Re: [h-e-w] 23.0.93; dired encoding

From: Eli Zaretskii <[email-masked]>
Date: Mon, 01 Jun 2009 11:32:21 -0400

> Date: Mon, 01 Jun 2009 23:25:25 +0800
> From: Jason Rumney <[email-masked]>
> CC: [email-masked], [email-masked]
> 
> Other platforms don't in general use the internal ls-lisp implementation 
> to generate dired buffers, and most systems use utf-8 encoding in the 
> locale these days, so even if file-attributes is called somewhere else 
> with 'string as its second argument, there is a good chance that Emacs 
> 23 will display the username correctly without decoding.
> 
> Also, while trying to test this, adduser refused to work, advising:
> 
> adduser: To avoid problems, the username should consist only of
> letters, digits, underscores, periods, at signs and dashes, and not 
> start with
> a dash (as defined by IEEE Std 1003.1-2001).
> 
> So the probability of users on other systems running into this bug are 
> fairly low.

OK, but the solution should still be general, in `file-attributes',
and it is to decode the string by locale-coding-system, don't you
agree?